---
title: "Delete project"
slug: "delete-project"
updated: 2026-01-09T07:50:19Z
published: 2026-01-09T07:50:35Z
canonical: "products.egfabri.cloud/delete-project"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://products.egfabri.cloud/llms.txt
> Use this file to discover all available pages before exploring further.
# Delete project
Delete/Customerprojectservice/api/projects/{id}
Delete the Project for the specified projectId.
Header parametersX-Idempotency-KeystringRequired
Idempotency key for safely retrying requests without duplicating operations.
Path parametersidobjectRequired
Customer Project ID
Responses204
Project deleted successfully
401
HTTP Unauthorized
object timestampstring (date-time)
statusinteger (int32)
errorstring
pathstring
404
HTTP Not Found
Expand Allobject
Object representing error details in responses
titlestring
A short, human-readable title for the error.
Min length0Max length200ExampleValidation Error
statusinteger (int32)
The HTTP status code generated by the origin server for this occurrence of the problem.
Example400
detailstring
A human-readable explanation specific to this occurrence of the problem.
Min length0Max length250ExampleOne or more fields are invalid.
instancestring
A URI reference that identifies the specific occurrence of the problem.
Min length0Max length250Example/api/containers/123
errors Array of object (Customerprojectservice_ValidationErrorDTO) Min items0Max items100object fieldNamestring Min length0Max length100
messagestring Min length0Max length200
rejectedValuestring Min length0Max length200
409
HTTP Conflict
Expand Allobject
Object representing error details in responses
titlestring
A short, human-readable title for the error.
Min length0Max length200ExampleValidation Error
statusinteger (int32)
The HTTP status code generated by the origin server for this occurrence of the problem.
Example400
detailstring
A human-readable explanation specific to this occurrence of the problem.
Min length0Max length250ExampleOne or more fields are invalid.
instancestring
A URI reference that identifies the specific occurrence of the problem.
Min length0Max length250Example/api/containers/123
errors Array of object (Customerprojectservice_ValidationErrorDTO) Min items0Max items100object fieldNamestring Min length0Max length100
messagestring Min length0Max length200
rejectedValuestring Min length0Max length200
500
HTTP Internal Server Error
Expand Allobject
Object representing error details in responses
titlestring
A short, human-readable title for the error.
Min length0Max length200ExampleValidation Error
statusinteger (int32)
The HTTP status code generated by the origin server for this occurrence of the problem.
Example400
detailstring
A human-readable explanation specific to this occurrence of the problem.
Min length0Max length250ExampleOne or more fields are invalid.
instancestring
A URI reference that identifies the specific occurrence of the problem.
Min length0Max length250Example/api/containers/123
errors Array of object (Customerprojectservice_ValidationErrorDTO) Min items0Max items100object fieldNamestring Min length0Max length100
messagestring Min length0Max length200
rejectedValuestring Min length0Max length200